> For the complete documentation index, see [llms.txt](https://docs.perigee.software/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.perigee.software/transform-sdk/sdk-reference/dataqualitycontext.md).

# DataQualityContext

The <mark style="color:purple;">**`DataQualityContext`**</mark> inherits from the Transform Context, to see the full list of methods, check out the page dedicated to those methods as well.

{% content-ref url="/pages/bFMjsdHD37bFAE6wCzxX" %}
[TransformDataContext](/transform-sdk/sdk-reference/transformdatacontext.md)
{% endcontent-ref %}

### Process

Process the data with a result, requirements function, and a callback for the data.

**Parameters:**

* `DataQualityValidationResult result`: Result from the interface.
* `Func<bool> RequirementsFunction`: Requirements function.
* `Action<DataQualityValidationResult, DataRow, long, ConcurrentBag<DataQualityValidationRow>> callback`: Data callback.
* `int ChecksPerformedPerRow`: How many checks were performed at each row?

#### Example:

```csharp
data.Process(result, RequirementsFunction, callback, ChecksPerformedPerRow);
```

### ProcessSet

Process the data with a result, requirements function, and a callback for the data.

**Parameters:**

* `DataQualityValidationResult result`: Result from the interface.
* `Func<bool> RequirementsFunction`: Requirements function.
* `Action<ConcurrentBag<DataQualityValidationRow>> callback`: Data callback.
* `int ChecksPerformedPerRow`: How many checks were performed at each row?

#### Example:

```csharp
data.ProcessSet(result, RequirementsFunction, callback, ChecksPerformedPerRow);
```

### CheckCount\_AssociatedSets

Calculate how many checks were performed on a list of associated sets.

**Parameters:**

* `string name`: Name of the set.
* `int checksPerRow`: How many checks per row (default is 1).
* `bool TransformOnly`: If true, only transformed tables are returned (default is true).

**Returns:**

* `int`: Number of checks performed.

#### Example:

```csharp
int checkCount = data.CheckCount_AssociatedSets("setName", checksPerRow, TransformOnly);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.perigee.software/transform-sdk/sdk-reference/dataqualitycontext.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
